Upgrade Cassandra OSS Java Driver Version in the SCC Due to Bug

Description

Third party integrations (livy in this case) are experiencing an issue when connecting to DSE. This appears to be related to a bug in the OSS Cassandra Java Driver: JAVA-1220

The bug noted above was fixed in 3.6.0 of the Java OSS Cassandra driver, but the version of the driver used in the spark-cassandra-connector is 3.1.4.

Environment

None

Pull Requests

None
Fixed

Assignee

Russell Spitzer

Reporter

Ken Nordquist

Fix versions

Labels

None

Reviewer

None

Reviewer 2

None

Pull Request

None

Affects versions

Priority

Major